All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::linalg::amg_coarse_problem_too_large_exception Class Reference

`#include <amg.hpp>`

Inheritance diagram for viennacl::linalg::amg_coarse_problem_too_large_exception:

## Public Member Functions

| amg_coarse_problem_too_large_exception (std::string const &msg, vcl_size_t num_points)
vcl_size_t | coarse_points () const
| Returns the number of coarse points for which no further coarsening could be applied. More...

## Detailed Description

Definition at line 55 of file amg.hpp.

## Constructor & Destructor Documentation

viennacl::linalg::amg_coarse_problem_too_large_exception::amg_coarse_problem_too_large_exception | ( | std::string const & | msg,
|  | vcl_size_t | num_points
| ) |  |

inline

Definition at line 58 of file amg.hpp.

## Member Function Documentation

vcl_size_t viennacl::linalg::amg_coarse_problem_too_large_exception::coarse_points | ( |  | ) | const

inline

Returns the number of coarse points for which no further coarsening could be applied.

Definition at line 61 of file amg.hpp.

The documentation for this class was generated from the following file:

- viennacl/linalg/amg.hpp